#ifndef H_TMPSYSDEPS
#define H_TMPSYSDEPS

#include <sys/socket.h>

inline int TmpAccept(int s, struct sockaddr *addr, size_t *addrlen)
{
#ifdef __i386__
    int adrln = int (*addrlen);
    int retval;

    retval = accept (s, addr, &adrln);

    *addrlen = size_t (adrln);

    return retval;
#else
    return accept (s, addr, addrlen);
#endif
};

inline int TmpRecvfrom 
    ( int s, void *buf, int len, unsigned int flags
    , struct sockaddr *addr, size_t *addrlen
    )
{
#ifdef __i386__
    int adrln = int (*addrlen);
    int retval;

    retval = recvfrom
                 ( s, buf, len, 0
                 , (struct sockaddr *) addr, &adrln
                 );
    *addrlen = size_t (adrln);

    return retval;
#else
    return recvfrom
               ( s, buf, len, 0
               , (struct sockaddr *) addr, addrlen
               );
#endif
};

inline int TmpGetsockname(int s, struct sockaddr *addr, size_t *addrlen)
{
#ifdef __i386__
    int adrln = int (*addrlen);
    int retval;

    retval = getsockname (s, addr , &adrln);

    *addrlen = size_t (adrln);

    return retval;
#else
    return getsockname (s, addr , addrlen);
#endif
};

#endif
